Website Hosting - Bug #527

Unable to Login to StartCom Control Panel With "ssl_error_unknown_ca_alert™ Error
01/05/2015 10:02 AM - Daniel Curtis

Status: Closed Start date: 01/05/2015
Priority: Urgent Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Estimated time: 0.50 hour
Target version: Spent time: 1.00 hour
Description

While going to renew one of my SSL certificates, | came across an error that prevented me from logging into the StartCom Control
Panel. The error stated:

Secure Connection Failed

An error occurred during a connection to auth.startssl.com.

Peer does not recognize and trust the CA that issued your certificate.
(Error code: ssl_error_unknown_ca_alert)

The browser | use to administer my StartCom account is Firefox 34, and after looking around online | found a workaround.
e Go to Preferences -> Advanced -> Certificates -> View Certificates -> Authorities
¢ Scroll down to the StartCom Certificate Authority
* Now Delete/Distrust every certificate that is marked Software Security Device
Doing this allowed me to once again log into the StartCom Control Panel. Although | do not like the prospect of manipulating

certificate authorities in the browser, | understand that StartCom recently changed one or more of their certificates, which will
undoubtedly cause problems.

Resources

¢ https:/forum.startcom.org/viewtopic.php?f=15&t=2522&start=0&st=0&sk=t&sd=a&sid=8e35c7ce6440a09fbf7e808e0444e579&v
iew=print

History

#1 - 01/05/2015 10:03 AM - Daniel Curtis
- Description updated
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 01/10/2015 04:24 PM - Daniel Curtis

- Status changed from Resolved to Closed
